apiVersion: v1
kind: ServiceAccount
metadata:
  name: vault-eso
---
apiVersion: rbac.authorization.k8s.io/v1
kind: Role
metadata:
  name: vault-eso
rules:
  - apiGroups: ['']
    resources: ['serviceaccounts/token']
    resourceNames: ['vault-eso']
    verbs: ['create']
---
apiVersion: rbac.authorization.k8s.io/v1
kind: RoleBinding
metadata:
  name: vault-eso
subjects:
  - kind: ServiceAccount
    name: external-secrets-operator
    namespace: external-secrets-operator
roleRef:
  apiGroup: rbac.authorization.k8s.io
  kind: Role
  name: vault-eso
---
# apiVersion: v1
# kind: Secret
# type: kubernetes.io/service-account-token
# metadata:
#   name: vault-eso
#   annotations:
#     kubernetes.io/service-account.name: "vault-eso"
#
